package dev.lonami.talaria.bindings

object Native {
    init {
        System.loadLibrary("talaria")
    }

    external fun initClient()
    external fun needLogin(): Boolean
    external fun requestLoginCode(phone: String): Long
    // Returns true if sign in complete, false if 2fa password needed
    // TODO: more rich return type including password hint / type of error
    external fun signIn(tokenPtr: Long, code: String): Boolean
    external fun checkPassword(password: String)
    external fun getDialogs(): Long
    external fun dialogCount(dialogsPtr: Long): Int
    external fun dialogPacked(dialogsPtr: Long, index: Int): String
    external fun dialogTitle(dialogsPtr: Long, index: Int): String
    external fun freeDialogs(dialogsPtr: Long)
    external fun sendMessage(packed: String, text: String)
}
